## minisat2 2.2.1

=== Makefile ===
###################################################################################################

.PHONY:	r d p sh cr cd cp csh lr ld lp lsh config all install install-headers install-lib\
        install-bin clean distclean
all:	r lr lsh

## Load Previous Configuration ####################################################################

-include config.mk

## Configurable options ###########################################################################

# Directory to store object files, libraries, executables, and dependencies:
BUILD_DIR      ?= build

# Include debug-symbols in release builds
MINISAT_RELSYM ?= -g

# Sets of compile flags for different build types
MINISAT_REL    ?= -O3 -D NDEBUG
MINISAT_DEB    ?= -O0 -D DEBUG 
MINISAT_PRF    ?= -O3 -D NDEBUG
MINISAT_FPIC   ?= -fpic

# GNU Standard Install Prefix
prefix         ?= /usr/local

## Write Configuration  ###########################################################################

config:
	@( echo 'BUILD_DIR?=$(BUILD_DIR)'           ; \
	   echo 'MINISAT_RELSYM?=$(MINISAT_RELSYM)' ; \
	   echo 'MINISAT_REL?=$(MINISAT_REL)'       ; \
	   echo 'MINISAT_DEB?=$(MINISAT_DEB)'       ; \
	   echo 'MINISAT_PRF?=$(MINISAT_PRF)'       ; \
	   echo 'MINISAT_FPIC?=$(MINISAT_FPIC)'     ; \
	   echo 'prefix?=$(prefix)'                 ) > config.mk

## Configurable options end #######################################################################

INSTALL ?= install

# GNU Standard Install Variables
exec_prefix ?= $(prefix)
includedir  ?= $(prefix)/include
bindir      ?= $(exec_prefix)/bin
libdir      ?= $(exec_prefix)/lib
datarootdir ?= $(prefix)/share
mandir      ?= $(datarootdir)/man

# Target file names
MINISAT      = minisat#       Name of MiniSat main executable.
MINISAT_CORE = minisat_core#  Name of simplified MiniSat executable (only core solver support).
MINISAT_SLIB = lib$(MINISAT).a#  Name of MiniSat static library.
MINISAT_DLIB = lib$(MINISAT).so# Name of MiniSat shared library.

# Shared Library Version
SOMAJOR=2
SOMINOR=1
SORELEASE?=.0#   Declare empty to leave out from library file name.

MINISAT_CXXFLAGS = -I. -D __STDC_LIMIT_MACROS -D __STDC_FORMAT_MACROS -Wall -Wno-parentheses -Wextra
MINISAT_LDFLAGS  = -Wall -lz

ECHO=@echo
ifeq ($(VERB),)
VERB=@
else
VERB=
endif

SRCS = $(wildcard minisat/core/*.cc) $(wildcard minisat/simp/*.cc) $(wildcard minisat/utils/*.cc)
HDRS = $(wildcard minisat/mtl/*.h) $(wildcard minisat/core/*.h) $(wildcard minisat/simp/*.h) $(wildcard minisat/utils/*.h)
OBJS = $(filter-out %Main.o, $(SRCS:.cc=.o))

r:	$(BUILD_DIR)/release/bin/$(MINISAT)
d:	$(BUILD_DIR)/debug/bin/$(MINISAT)
p:	$(BUILD_DIR)/profile/bin/$(MINISAT)
sh:	$(BUILD_DIR)/dynamic/bin/$(MINISAT)

cr:	$(BUILD_DIR)/release/bin/$(MINISAT_CORE)
cd:	$(BUILD_DIR)/debug/bin/$(MINISAT_CORE)
cp:	$(BUILD_DIR)/profile/bin/$(MINISAT_CORE)
csh:	$(BUILD_DIR)/dynamic/bin/$(MINISAT_CORE)

lr:	$(BUILD_DIR)/release/lib/$(MINISAT_SLIB)
ld:	$(BUILD_DIR)/debug/lib/$(MINISAT_SLIB)
lp:	$(BUILD_DIR)/profile/lib/$(MINISAT_SLIB)
lsh:	$(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB).$(SOMAJOR).$(SOMINOR)$(SORELEASE)

## Build-type Compile-flags:
$(BUILD_DIR)/release/%.o:			MINISAT_CXXFLAGS +=$(MINISAT_REL) $(MINISAT_RELSYM)
$(BUILD_DIR)/debug/%.o:				MINISAT_CXXFLAGS +=$(MINISAT_DEB) -g
$(BUILD_DIR)/profile/%.o:			MINISAT_CXXFLAGS +=$(MINISAT_PRF) -pg
$(BUILD_DIR)/dynamic/%.o:			MINISAT_CXXFLAGS +=$(MINISAT_REL) $(MINISAT_FPIC)

## Build-type Link-flags:
$(BUILD_DIR)/profile/bin/$(MINISAT):		MINISAT_LDFLAGS += -pg
$(BUILD_DIR)/release/bin/$(MINISAT):		MINISAT_LDFLAGS += --static $(MINISAT_RELSYM)
$(BUILD_DIR)/profile/bin/$(MINISAT_CORE):	MINISAT_LDFLAGS += -pg
$(BUILD_DIR)/release/bin/$(MINISAT_CORE):	MINISAT_LDFLAGS += --static $(MINISAT_RELSYM)

## Executable dependencies
$(BUILD_DIR)/release/bin/$(MINISAT):	 	$(BUILD_DIR)/release/minisat/simp/Main.o $(BUILD_DIR)/release/lib/$(MINISAT_SLIB)
$(BUILD_DIR)/debug/bin/$(MINISAT):	 	$(BUILD_DIR)/debug/minisat/simp/Main.o $(BUILD_DIR)/debug/lib/$(MINISAT_SLIB)
$(BUILD_DIR)/profile/bin/$(MINISAT):	 	$(BUILD_DIR)/profile/minisat/simp/Main.o $(BUILD_DIR)/profile/lib/$(MINISAT_SLIB)
# need the main-file be compiled with fpic?
$(BUILD_DIR)/dynamic/bin/$(MINISAT):	 	$(BUILD_DIR)/dynamic/minisat/simp/Main.o $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB)

## Executable dependencies (core-version)
$(BUILD_DIR)/release/bin/$(MINISAT_CORE):	$(BUILD_DIR)/release/minisat/core/Main.o $(BUILD_DIR)/release/lib/$(MINISAT_SLIB)
$(BUILD_DIR)/debug/bin/$(MINISAT_CORE):	 	$(BUILD_DIR)/debug/minisat/core/Main.o $(BUILD_DIR)/debug/lib/$(MINISAT_SLIB)
$(BUILD_DIR)/profile/bin/$(MINISAT_CORE):	$(BUILD_DIR)/profile/minisat/core/Main.o $(BUILD_DIR)/profile/lib/$(MINISAT_SLIB)
# need the main-file be compiled with fpic?
$(BUILD_DIR)/dynamic/bin/$(MINISAT_CORE): 	$(BUILD_DIR)/dynamic/minisat/core/Main.o $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB)

## Library dependencies
$(BUILD_DIR)/release/lib/$(MINISAT_SLIB):	$(foreach o,$(OBJS),$(BUILD_DIR)/release/$(o))
$(BUILD_DIR)/debug/lib/$(MINISAT_SLIB):		$(foreach o,$(OBJS),$(BUILD_DIR)/debug/$(o))
$(BUILD_DIR)/profile/lib/$(MINISAT_SLIB):	$(foreach o,$(OBJS),$(BUILD_DIR)/profile/$(o))
$(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB).$(SOMAJOR).$(SOMINOR)$(SORELEASE)\
 $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB).$(SOMAJOR)\
 $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB):	$(foreach o,$(OBJS),$(BUILD_DIR)/dynamic/$(o))

## Compile rules (these should be unified, buit I have not yet found a way which works in GNU Make)
$(BUILD_DIR)/release/%.o:	%.cc
	$(ECHO) Compiling: $@
	$(VERB) mkdir -p $(dir $@)
	$(VERB) $(CXX) $(MINISAT_CXXFLAGS) $(CXXFLAGS) -c -o $@ $< -MMD -MF $(BUILD_DIR)/release/$*.d

$(BUILD_DIR)/profile/%.o:	%.cc
	$(ECHO) Compiling: $@
	$(VERB) mkdir -p $(dir $@)
	$(VERB) $(CXX) $(MINISAT_CXXFLAGS) $(CXXFLAGS) -c -o $@ $< -MMD -MF $(BUILD_DIR)/profile/$*.d

$(BUILD_DIR)/debug/%.o:	%.cc
	$(ECHO) Compiling: $@
	$(VERB) mkdir -p $(dir $@)
	$(VERB) $(CXX) $(MINISAT_CXXFLAGS) $(CXXFLAGS) -c -o $@ $< -MMD -MF $(BUILD_DIR)/debug/$*.d

$(BUILD_DIR)/dynamic/%.o:	%.cc
	$(ECHO) Compiling: $@
	$(VERB) mkdir -p $(dir $@)
	$(VERB) $(CXX) $(MINISAT_CXXFLAGS) $(CXXFLAGS) -c -o $@ $< -MMD -MF $(BUILD_DIR)/dynamic/$*.d

## Linking rule
$(BUILD_DIR)/release/bin/$(MINISAT) $(BUILD_DIR)/debug/bin/$(MINISAT) $(BUILD_DIR)/profile/bin/$(MINISAT) $(BUILD_DIR)/dynamic/bin/$(MINISAT)\
$(BUILD_DIR)/release/bin/$(MINISAT_CORE) $(BUILD_DIR)/debug/bin/$(MINISAT_CORE) $(BUILD_DIR)/profile/bin/$(MINISAT_CORE) $(BUILD_DIR)/dynamic/bin/$(MINISAT_CORE):
	$(ECHO) Linking Binary: $@
	$(VERB) mkdir -p $(dir $@)
	$(VERB) $(CXX) $^ $(MINISAT_LDFLAGS) $(LDFLAGS) -o $@

## Static Library rule
%/lib/$(MINISAT_SLIB):
	$(ECHO) Linking Static Library: $@
	$(VERB) mkdir -p $(dir $@)
	$(VERB) $(AR) -rcs $@ $^

## Shared Library rule
$(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB).$(SOMAJOR).$(SOMINOR)$(SORELEASE)\
 $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB).$(SOMAJOR)\
 $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB):
	$(ECHO) Linking Shared Library: $@
	$(VERB) mkdir -p $(dir $@)
	$(VERB) $(CXX) $(MINISAT_LDFLAGS) $(LDFLAGS) -o $@ -shared -Wl,-soname,$(MINISAT_DLIB).$(SOMAJOR) $^
	$(VERB) ln -sf $(MINISAT_DLIB).$(SOMAJOR).$(SOMINOR)$(SORELEASE) $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB).$(SOMAJOR)
	$(VERB) ln -sf $(MINISAT_DLIB).$(SOMAJOR) $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB)

install:	install-headers install-lib install-bin

install-headers:
#       Create directories
	$(INSTALL) -d $(DESTDIR)$(includedir)/minisat
	for dir in mtl utils core simp; do \
	  $(INSTALL) -d $(DESTDIR)$(includedir)/minisat/$$dir ; \
	done
#       Install headers
	for h in $(HDRS) ; do \
	  $(INSTALL) -m 644 $$h $(DESTDIR)$(includedir)/$$h ; \
	done

install-lib: $(BUILD_DIR)/release/lib/$(MINISAT_SLIB) $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB).$(SOMAJOR).$(SOMINOR)$(SORELEASE)
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) -m 644 $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB).$(SOMAJOR).$(SOMINOR)$(SORELEASE) $(DESTDIR)$(libdir)
	ln -sf $(MINISAT_DLIB).$(SOMAJOR).$(SOMINOR)$(SORELEASE) $(DESTDIR)$(libdir)/$(MINISAT_DLIB).$(SOMAJOR)
	ln -sf $(MINISAT_DLIB).$(SOMAJOR) $(DESTDIR)$(libdir)/$(MINISAT_DLIB)
	$(INSTALL) -m 644 $(BUILD_DIR)/release/lib/$(MINISAT_SLIB) $(DESTDIR)$(libdir)

install-bin: $(BUILD_DIR)/dynamic/bin/$(MINISAT)
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) -m 755 $(BUILD_DIR)/dynamic/bin/$(MINISAT) $(DESTDIR)$(bindir)

clean:
	rm -f $(foreach t, release debug profile dynamic, $(foreach o, $(SRCS:.cc=.o), $(BUILD_DIR)/$t/$o)) \
          $(foreach t, release debug profile dynamic, $(foreach d, $(SRCS:.cc=.d), $(BUILD_DIR)/$t/$d)) \
	  $(foreach t, release debug profile dynamic, $(BUILD_DIR)/$t/bin/$(MINISAT_CORE) $(BUILD_DIR)/$t/bin/$(MINISAT)) \
	  $(foreach t, release debug profile, $(BUILD_DIR)/$t/lib/$(MINISAT_SLIB)) \
	  $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB).$(SOMAJOR).$(SOMINOR)$(SORELEASE)\
	  $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB).$(SOMAJOR)\
	  $(BUILD_DIR)/dynamic/lib/$(MINISAT_DLIB)

distclean:	clean
	rm -f config.mk

## Include generated dependencies
-include $(foreach s, $(SRCS:.cc=.d), $(BUILD_DIR)/release/$s)
-include $(foreach s, $(SRCS:.cc=.d), $(BUILD_DIR)/debug/$s)
-include $(foreach s, $(SRCS:.cc=.d), $(BUILD_DIR)/profile/$s)
-include $(foreach s, $(SRCS:.cc=.d), $(BUILD_DIR)/dynamic/$s)

## minisat2 2.2.0

=== debian/changelog ===
minisat2 (1:2.2.0-2) unstable; urgency=low

  * Fix FTBFS due to undefined _FPU_{EXTENDED,DOUBLE} (closes: #590254).
  * Fix FTBFS due to undefined memUsedPeak (closes: #590255).

 -- Michael Tautschnig <mt@debian.org>  Sun, 25 Jul 2010 22:02:54 +0200

minisat2 (1:2.2.0-1) unstable; urgency=low

  * New upstream version.
    - Introduced epoch as new versioning scheme is in use.
    - Added Vcs-Git and Vcs-Browser control fields.
    - Bumped SO version as all functions have been moved into a namespace.
    - Added patch 9bd8749.
  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped standards version to 3.9.0 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Sun, 25 Jul 2010 08:42:10 +0200

minisat2 (070721-8) unstable; urgency=low

  * Added Homepage field.

 -- Michael Tautschnig <mt@debian.org>  Tue, 29 Dec 2009 14:25:31 +0100

minisat2 (070721-7) unstable; urgency=low

  * Bumped standards version to 3.8.3 (no changes).
  * Use Copyright instead of (C) in debian/copyright.
  * Build dynamic library (thanks Pietro Abate <Pietro.Abate@pps.jussieu.fr>
    for ideas and patches). (Closes: #537372)

 -- Michael Tautschnig <mt@debian.org>  Tue, 29 Dec 2009 12:19:36 +0100

minisat2 (070721-6) unstable; urgency=low

  * Completed man page (Closes: #501983)

 -- Michael Tautschnig <mt@debian.org>  Sun, 26 Oct 2008 20:35:45 +0100

minisat2 (070721-5) unstable; urgency=low

  * Also test for _FPU_GETCW being defined to fix FTBFS on alpha

 -- Michael Tautschnig <mt@debian.org>  Sun, 07 Sep 2008 21:09:47 +0200

minisat2 (070721-4) unstable; urgency=low

  * Added David A. Wheeler's nice intro to SAT solving

 -- Michael Tautschnig <mt@debian.org>  Sun, 07 Sep 2008 19:32:20 +0200

minisat2 (070721-3) unstable; urgency=low

  * Test, whether _FPU_EXTENDED and _FPU_DOUBLE are defined 
    (fixes FTBFS)
  * Improved description of package (Closes: #486602)

 -- Michael Tautschnig <mt@debian.org>  Tue, 17 Jun 2008 21:51:01 +0000

minisat2 (070721-2) unstable; urgency=low

  * Added libz-dev build-dep to fix FTBFS

 -- Michael Tautschnig <mt@debian.org>  Mon, 16 Jun 2008 12:51:36 +0000

minisat2 (070721-1) unstable; urgency=low

  * Initial release (Closes: #484989)

 -- Michael Tautschnig <mt@debian.org>  Sat,  7 Jun 2008 17:10:44 +0200

=== debian/control ===
Source: minisat2
Section: science
Priority: extra
Maintainer: Michael Tautschnig <mt@debian.org>
Build-Depends: debhelper (>= 5), libz-dev
Standards-Version: 3.9.0
Homepage: http://minisat.se/
Vcs-Browser: http://github.com/niklasso/minisat
Vcs-Git: git://github.com/niklasso/minisat.git

Package: minisat2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast and lightweight SAT solver
 Despite the NP completeness of the satisfiabilty problem of Boolean formulas
 (SAT), SAT solvers are often able to decide this problem in a reasonable time
 frame. As all other NP complete problems are reducible to SAT, the solvers
 have become a general purpose tool for this class of problems.
 .
 MiniSat is a minimalistic, open-source SAT solver, developed to help
 researchers and developers alike to get started on SAT. Winning all the
 industrial categories of the SAT 2005 competition, MiniSat is a good starting
 point both for future research in SAT, and for applications using SAT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) MROOT=$(CURDIR) -C simp r
	$(MAKE) MROOT=$(CURDIR) -C core libr shared

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) MROOT=$(CURDIR) -C simp clean
	rm -f simp/minisat2
	$(MAKE) MROOT=$(CURDIR) -C core clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/minisat2.
	cp simp/minisat_release simp/minisat2


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/ReleaseNotes-2.2.0.txt 
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/minisat2.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php minisat2-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
http://minisat.se/downloads/minisat-(.*)\.tar.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/minisat2-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/minisat2/minisat2-(.*)\.tar\.gz

## minisat2 2.2.1

=== debian/changelog ===
minisat2 (1:2.2.1-8build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:42 +1100

minisat2 (1:2.2.1-8) unstable; urgency=low

  * Disable parallel builds to fix occasional FTBFS

 -- Michael Tautschnig <mt@debian.org>  Mon, 26 Feb 2024 16:47:37 +0000

minisat2 (1:2.2.1-7) unstable; urgency=low

  * Fix FTCBFS: ensure sh target is required by all. Thanks Helmut Grohne
    <helmut@subdivi.de> for debugging (closes: #1064366)

 -- Michael Tautschnig <mt@debian.org>  Thu, 22 Feb 2024 10:47:31 +0000

minisat2 (1:2.2.1-6) unstable; urgency=low

  * Bumped standards version to 4.6.2 (no changes)
  * Remove transitional minisat2 package (closes: #878693)
  * Enable verbose build logs by default: thanks Helmut Grohne
    <helmut@subdivi.de> for the patch (closes: #900023)

 -- Michael Tautschnig <mt@debian.org>  Tue, 20 Feb 2024 11:23:45 +0000

minisat2 (1:2.2.1-5) unstable; urgency=low

  * Fix C++ syntax to enable Clang builds (closes: #756336)
  * Bumped standards version to 3.9.5 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Wed, 30 Jul 2014 10:38:25 +0100

minisat2 (1:2.2.1-4) unstable; urgency=low

  * Require a non-zero memory limit (closes: #716229)
  * Bumped standards version to 3.9.4 (no changes)
  * Bumped compatibility level to 9

 -- Michael Tautschnig <mt@debian.org>  Fri, 12 Jul 2013 21:42:02 +0100

minisat2 (1:2.2.1-3) unstable; urgency=low

  * Updated man page (closes: #638217)

 -- Michael Tautschnig <mt@debian.org>  Sat, 03 Sep 2011 21:03:43 +0100

minisat2 (1:2.2.1-2) unstable; urgency=low

  * Include headers from simp/ directory in package
  * Bumped standards version to 3.9.2 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Mon, 13 Jun 2011 15:13:41 +0200

minisat2 (1:2.2.1-1) unstable; urgency=low

  * Upload of package with revamped build system to unstable.
  * Rename main binary package to minisat, added transitional package.
  * Use debhelper 7.

 -- Michael Tautschnig <mt@debian.org>  Tue, 29 Mar 2011 13:31:53 +0200

minisat2 (1:2.2.0-3) experimental; urgency=low

  * Current upstream git snapshot with fully reworked build system.
    - Properly builds shared library (closes: #606846).
    - Fixes include hierarchy (closes: #606643).

 -- Michael Tautschnig <mt@debian.org>  Thu, 20 Jan 2011 22:37:08 +0100

=== debian/control ===
Source: minisat2
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Tautschnig <mt@debian.org>
Build-Depends: debhelper-compat (= 13), libz-dev
Standards-Version: 4.6.2
Homepage: http://minisat.se/

Package: minisat
Architecture: any
Provides: minisat2
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast and lightweight SAT solver
 Despite the NP completeness of the satisfiability problem of Boolean formulas
 (SAT), SAT solvers are often able to decide this problem in a reasonable time
 frame. As all other NP complete problems are reducible to SAT, the solvers
 have become a general purpose tool for this class of problems.
 .
 MiniSat is a minimalistic, open-source SAT solver, developed to help
 researchers and developers alike to get started on SAT. Winning all the
 industrial categories of the SAT 2005 competition, MiniSat is a good starting
 point both for future research in SAT, and for applications using SAT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (${DH_QUIET},)
export VERB=1
endif

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_testdir
	$(MAKE) config prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs doc/ReleaseNotes-2.2.0.txt

## minisat2 070721

=== core/Makefile ===
MTL       = ../mtl
CHDRS     = $(wildcard *.h) $(wildcard $(MTL)/*.h)
EXEC      = minisat
CFLAGS    = -I$(MTL) -Wall -ffloat-store
LFLAGS    = -lz

include ../mtl/template.mk

=== simp/Makefile ===
MTL       = ../mtl
CORE      = ../core
CHDRS     = $(wildcard *.h) $(wildcard $(MTL)/*.h)
EXEC      = minisat
CFLAGS    = -I$(MTL) -I$(CORE) -Wall -ffloat-store
LFLAGS    = -lz

CSRCS     = $(wildcard *.C)
COBJS     = $(addsuffix .o, $(basename $(CSRCS))) $(CORE)/Solver.o

include ../mtl/template.mk
